Class | Fog::AWS::SignatureV4
In: | lib/fog/aws/signaturev4.rb
Parent: | Object

### Methods

canonical_headers canonical_query_string derived_hmac new sign signed_headers

### Public Class methods

new(aws_access_key_id, secret_key, region,service)

### Public Instance methods

sign(params, date)

### Protected Instance methods

canonical_headers(headers)
canonical_query_string(query)
derived_hmac(date)
signed_headers(headers)

[Validate]